Video sound effects
Endpoint: POST https://4zapi.com/kling/v1/audio/video-to-audio
Parameters
Content-Type(header, string): Request body Content-Type, usually application/jsonAuthorization(header, string): Bearer API Key
Request body (application/json)
asmr_mode(boolean): ASMR mode; enhances detail SFX for immersive scenes. true=on, false=off (default)bgm_prompt(string): BGM generation promptcallback_url(string): Callback URL invoked on task completionexternal_task_id(string): Custom external task ID for business-side correlationsound_effect_prompt(string): Sound effect generationPromptvideo_id(string): ID of a video generated by Kling AI only videos from last 30 days with length 3.0–20.0svideo_url(string): URL of the uploaded video provide exactly one of this or video_id video format only supportsMP4/MOV, file size ≤100M, video length 3.0–20.0 seconds
Request example
{
"asmr_mode": false,
"bgm_prompt": "",
"callback_url": "",
"external_task_id": "",
"sound_effect_prompt": "符合视频的人的声音",
"video_id": "825406034503692376",
"video_url": ""
}